apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    service: interactive-session-service
  name: interactive-session-service
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      service: interactive-session-service
  template:
    metadata:
      labels:
        service: interactive-session-service
    spec:
      containers:
        - env:
            - name: MONGODB_URL
              valueFrom:
                configMapKeyRef:
                  key: mongodb.address
                  name: db-config
            - name: MONGODB_DB_NAME
              valueFrom:
                configMapKeyRef:
                  key: mongodb.db_name
                  name: db-config
            - name: MONGODB_COLLECTION_NAME
              value: interactivesession
            - name: NATS_URL
              valueFrom:
                configMapKeyRef:
                  key: nats.url
                  name: cacao-config
            - name: NATS_CLIENT_ID
              valueFrom:
                fieldRef:
                  fieldPath: metadata.name
            - name: ISESSION_GUAC_FORCE_HTTP
              valueFrom:
                configMapKeyRef:
                  name: cacao-config
                  key: isession-guac-force-http
            - name: ISESSION_GUAC_SERVERS
              valueFrom:
                configMapKeyRef:
                  name: cacao-config
                  key: isession-guac-servers
            - name: ISESSION_MASTER_SSH_KEY
              valueFrom:
                secretKeyRef:
                  name: cacao-secrets
                  key: isession-master-ssh-key
            - name: ISESSION_GUAC_ENCRYPTION_KEY
              valueFrom:
                secretKeyRef:
                  name: cacao-secrets
                  key: isession-guac-encryption-key
            - name: ISESSION_GUAC_AUTH_KEY
              valueFrom:
                secretKeyRef:
                  name: cacao-secrets
                  key: isession-guac-auth-key
            - name: ISESSION_VNC_DEFAULT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: cacao-secrets
                  key: isession-vnc-default-password
          image: registry.gitlab.com/cyverse/cacao/interactive_session_service:latest
          name: interactive-session-service
          resources:
            limits:
              memory: 128Mi
            requests:
              cpu: 50m
              memory: 50Mi
          securityContext:
            allowPrivilegeEscalation: false
#            readOnlyRootFilesystem: true
      restartPolicy: Always
      securityContext:
        runAsNonRoot: true
      automountServiceAccountToken: false
status: {}
